summaryrefslogtreecommitdiffhomepage
path: root/contrib/package/ffluci-system-addons/src/run-parts
diff options
context:
space:
mode:
authorSteven Barth <steven@midlink.org>2008-04-27 11:10:09 +0000
committerSteven Barth <steven@midlink.org>2008-04-27 11:10:09 +0000
commite895253a9b6b165f94af3480de59020617b7117c (patch)
treedd2438003c28a2b63b1e07d0e6781aac69bc3c03 /contrib/package/ffluci-system-addons/src/run-parts
parentace012a0325a4ad2249b137a0d7c7edcc2a71f54 (diff)
* Fixed broken commit
Diffstat (limited to 'contrib/package/ffluci-system-addons/src/run-parts')
-rw-r--r--contrib/package/ffluci-system-addons/src/run-parts18
1 files changed, 18 insertions, 0 deletions
diff --git a/contrib/package/ffluci-system-addons/src/run-parts b/contrib/package/ffluci-system-addons/src/run-parts
new file mode 100644
index 0000000000..0f0cbbdf5f
--- /dev/null
+++ b/contrib/package/ffluci-system-addons/src/run-parts
@@ -0,0 +1,18 @@
+#!/bin/sh
+set +e
+
+if [ $# -lt 1 ]; then
+ echo "Usage: run-parts <dir>"
+ exit 1
+fi
+
+if [ ! -d $1 ]; then
+ echo "Not a directory: $1"
+ exit 1
+fi
+
+for i in $1/*; do
+ [ -x $i ] && $i
+done
+
+exit 0 \ No newline at end of file